

## Final Project

For my final project, I want to make a versatile lamp.
A light source that can keep resultant light on a surface constant irrespective of external daylight.

Also, to add some mechanics and automation, make the form versatile to change it from being indirect light, ambient and a task light whenever required.

####PLAN:
* CAD - make 2D for cutting/production  files & make a 3D model, animate and render  
* Inputs - light sensors to measure light color (add light intensity later)  
* Output - Multicolor LED to change output to match resultant light  
* CAM - lasercut parts, use vinyl cutter for origami folds  
* 3D printing - joints, make casing for PCB  
* Electronic design, production and embedded programming - To make the micro-contoller PCB  
* Network and Communication - Add WiFi module to control it remotely  
* Interface and Application programming - To make a GUI (phone app?)  

![Spiral Development Plan](./images/final-project/spiral.jpg)

* What does it do?
The lamp provides exactly the same amount of light all the time.
It changes it's output light intensity based on external light conditions to provide uniform light on a target surface.
It has a versatile form that allows it to be either an indirect light that reflects off of the ceiling, ambient light that illuminates all surroundings or a task light that lights up a desk surface.

* Who's done what beforehand?

The origami of the [Meduse Lamp](http://sdipl.net/slimsSRL/LoadSRLReport.aspx?CID=2110088069&UMR_NO=177803294956&HV=True) helps transform the type of lamp.
![Meduse Lamp](./images/final-project/meduse-lamp.gif)
![Meduse Lamp](./images/final-project/meduse-lamp2.gif)  

* What did you design?

* What materials and components were used?
Electronics:
1. VEML6040 RGB light sensor (input)
2. RGB LED (output)
3.

* Where did they come from?
* How much did they cost?

* What parts and systems were made?
* What processes were used?
* What questions were answered?
* What worked? What didn't?
* How was it evaluated?
* What are the implications?

####References
For the origami form: [Meduse Lamp](http://sdipl.net/slimsSRL/LoadSRLReport.aspx?CID=2110088069&UMR_NO=177803294956&HV=True)
For the light app: [Philips Hue](http://sdipl.net/slimsSRL/LoadSRLReport.aspx?CID=2110088069&UMR_NO=177803294956&HV=True)
[Bang & Olufsen](https://apps.apple.com/us/app/bang-olufsen/id1203736217)
For mechanics:
